## cascading.flow.planner
Class FlowStepGraph<Config>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<FlowStep<Config>,Integer>
                  cascading.flow.planner.FlowStepGraph<Config>

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph<FlowStep<Config>,Integer>, org.jgrapht.Graph<FlowStep<Config>,Integer>

    public abstract class FlowStepGraph<Config>

extends org.jgrapht.graph.SimpleDirectedGraph<FlowStep<Config>,Integer>

Class StepGraph is an internal representation of `FlowStep` instances.

See Also:
  Serialized Form

Constructor Summary
`FlowStepGraph()` Constructor StepGraph creates a new StepGraph instance.
`FlowStepGraph(String flowName, ElementGraph elementGraph)` Constructor StepGraph creates a new StepGraph instance.

Method Summary
`protected abstract FlowStep<Config>` `createFlowStep(String stepName, int stepNum)`
`protected FlowStep<Config>` `getCreateFlowStep(Map<Tap,FlowStep<Config>> steps, Tap sink, int numJobs)` Method getCreateFlowStep ...
`org.jgrapht.traverse.TopologicalOrderIterator<FlowStep<Config>,Integer>` `getTopologicalIterator()`
`protected abstract void` `makeStepGraph(String flowName, ElementGraph elementGraph)`
`protected boolean` `pathContainsTap(org.jgrapht.GraphPath<FlowElement,Scope> path)`
`protected void` `printElementGraph(String filename)`
`void` `writeDOT(String filename)` Method writeDOT writes this element graph to a DOT file for easy visualization and debugging.

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### FlowStepGraph

    public FlowStepGraph()

  Constructor StepGraph creates a new StepGraph instance.

### FlowStepGraph

    public FlowStepGraph(String flowName,
                         ElementGraph elementGraph)

  Constructor StepGraph creates a new StepGraph instance.

  Parameters:
    `elementGraph` - of type ElementGraph

Method Detail

### getCreateFlowStep

    protected FlowStep<Config> getCreateFlowStep(Map<Tap,FlowStep<Config>> steps,
                                                 Tap sink,
                                                 int numJobs)

  Method getCreateFlowStep ...

  Parameters:
    `steps` - of type Map<String, FlowStep>
    `sink` - of type String
    `numJobs` - of type int
  Returns:
    FlowStep

### createFlowStep

    protected abstract FlowStep<Config> createFlowStep(String stepName,
                                                       int stepNum)

### makeStepGraph

    protected abstract void makeStepGraph(String flowName,
                                          ElementGraph elementGraph)

### pathContainsTap

    protected boolean pathContainsTap(org.jgrapht.GraphPath<FlowElement,Scope> path)

### getTopologicalIterator

    public org.jgrapht.traverse.TopologicalOrderIterator<FlowStep<Config>,Integer> getTopologicalIterator()

### writeDOT

    public void writeDOT(String filename)

  Method writeDOT writes this element graph to a DOT file for easy visualization and debugging.

  Parameters:
    `filename` - of type String

### printElementGraph

    protected void printElementGraph(String filename)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.